%define module_name	sk98lin
%define module_version	10.21
%define module_release	alt1.132626.2

%define kversion	2.6.18
%define krelease	alt2
%define flavour		wks-smp

%define module_dir /lib/modules/%kversion-%flavour-%krelease/%module_name

Summary: Marvell Yukon/SysKonnect SK-98xx Gigabit Ethernet Adapter driver
Name: kernel-modules-%module_name-%flavour
Version: %module_version
Release: %module_release
License: GPL
Group: System/Kernel and hardware

Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>

ExclusiveOS: Linux
URL: http://www.skd.de/e_en/products/nics.html
BuildRequires: kernel-build-tools >= 0.7
BuildRequires: kernel-headers-modules-%flavour = %kversion-%krelease
BuildRequires: kernel-source-%module_name = %module_version

Provides:  kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

PreReq: coreutils
PreReq: kernel-image-%flavour = %kversion-%krelease
Requires(postun): kernel-image-%flavour = %kversion-%krelease
ExclusiveArch: %ix86 x86_64

%description
The sk98lin driver supports the Marvell Yukon, Yukon EC/FE, Yukon 2 and
SysKonnect SK-98xx/SK-95xx compliant Gigabit Ethernet Adapter on Linux.
An older version of this driver is already included in 2.4.x and 2.6.x
Linux kernels; this version supports more adapters (especially Yukon 2
series, which is not supported by the 6.x driver).

Note that recent 2.6.x kernels contain "skge" and "sky2" drivers, which
should support all hardware supported by sk98lin, including Yukon 2.

%prep
rm -rf kernel-source-%module_name-%module_version
tar -jxf %kernel_src/kernel-source-%module_name-%module_version.tar.bz2
%setup -D -T -n kernel-source-%module_name-%module_version

%build
cd 2.6
%make_build -C %_usrsrc/linux-%kversion-%flavour modules \
	SUBDIRS=`pwd` CONFIG_SK98LIN=m SKPARAM="-I`pwd`"
cd ..

%install
install -d %buildroot%module_dir
install -p -m644 2.6/sk98lin.ko %buildroot%module_dir

install -d %buildroot%_docdir/%name-%version-%release
install -p -m644 common/sk98lin.txt \
	%buildroot%_docdir/%name-%version-%release

%post
%post_kernel_modules %kversion-%flavour-%krelease

%postun
%postun_kernel_modules %kversion-%flavour-%krelease

%files
%defattr(644,root,root,755)
%module_dir
%doc %_docdir/%name-%version-%release

%changelog
* Wed Sep 26 2007 L.A. Kostis <lakostis@altlinux.ru> 10.21-alt1.132626.2
- Version 10.21.

* Mon Jan 29 2007 Sergey Vlasov <vsu@altlinux.ru> 8.36-alt2.132626.2
- Removed unneeded "Prereq: modutils".

* Wed Nov 15 2006 Sergey Vlasov <vsu@altlinux.ru> 8.36-alt1.132626.2
- First build as an external module package.
